//-------------------------Definiciones------------------------------------------------

//-------------------------Pin---------------------------------------------------------
const int potenciaPin = 4;// PWM que controlará la potencia en la peltier
//-------------------------Inicializacion----------------------------------------------
void iniPeltier() {
  pinMode(potenciaPin, OUTPUT);
  digitalWrite(potenciaPin, LOW);
}
//-------------------------Funciones---------------------------------------------------
void Peltier_setPower(int power) {
  //Set the power apllyed to the peltier
  analogWrite(potenciaPin, 255 - power );
}
void Peltier_applyPower(int power) {
  //This function control the energy applyied to the peltier.
  //If power is negative the peltier will cool, and if it is positive, it will warm.
  // power = 255 -> Maximun power heating.
  // power = 0 -> Peltier off.
  // power = -255 -> Maximun power cooling.
  if (power > 255) {
    power = 255;
  }
  if (power < 0.0) {
    power = 0;
  }
  Peltier_setPower( power );
}

















